org.apache.felix.gogo.runtime

## Class EOFError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.felix.gogo.runtime.SyntaxError
        - - org.apache.felix.gogo.runtime.EOFError

All Implemented Interfaces:
  Serializable

    public class EOFError
    extends SyntaxError

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`EOFError(int line, int column, String message, String missing, String repair)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `missing()`
`String` `repair()`

### Methods inherited from class org.apache.felix.gogo.runtime.SyntaxError

`column, line, statement`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### EOFError

    public EOFError(int line,
                    int column,
                    String message,
                    String missing,
                    String repair)

### Method Detail

#### repair

    public String repair()

#### missing

    public String missing()